MatrikonOPC Server for DNP3 < 1.2.3.1 Message Handling Remote DoS

This script is Copyright (C) 2015-2017 Tenable Network Security, Inc.


Synopsis :

The remote OPC server for DNP3 is affected by a remote denial of
service vulnerability.

Description :

The remote MatrikonOPC Server for DNP3 is prior to version 1.2.3.1. It
is, therefore, affected by a remote denial of service vulnerability
due to a failure to handle C++ exceptions. A remote attacker, using a
specially crafted message, can cause the OPC server to exit and stop
communicating until the server is restarted.

See also :

https://ics-cert.us-cert.gov/advisories/ICSA-14-329-01
http://www.nessus.org/u?e6e70e83

Solution :

Upgrade to version 1.2.3.1 or later as recommended by the vendor.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: SCADA

Nessus Plugin ID: 81249 ()

Bugtraq ID: 71296

CVE ID: CVE-2014-5426

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now